[gentoo] update + libsdl et compagnie

Le
Doug713705
Bonjour à toutes, tous

Je suis en train de mettre à jour ma gentoo (64bits) via emerge -uD world et
je suis confronté au problème suivant:

Lors de la mise à jour des paquets liés à SDL (sdl-sound, sdl-image,
sdl-ttf) emerge s'arrete en pretextant qu'il ne trouve pas la bonne
version de libsdl.

-*-*-*-*-*-*-*-*-*-*-*-*-
Checking for sdl-config /usr/bin/sdl-config
Checking for SDL - version >= 1.2.10 no

et tout le blahblah sur LD_LIBRARY_PATH et /etc/ld.so.conf
-*-*-*-*-*-*-*-*-*-*-*-*-

Or, libsdl-1.2.11-r2 est installé.
sdl-config --version me renvoie bien la bonne version (1.2.11).
J'ai bien pensé à un problème de libray_path et j'ai donc ajusté la variable
sur /usr/lib64 puis sur /usr/lib32 mais j'ai toujours la même erreur.

J'ai vérifié /etc/ld.so.conf, tout semble normal (/usr/lib64 et /usr/lib32
s'y trouvent).

Le fichier /usr/lib64/pkgconfig/sdl.pc existe et semble ok.

J'ai également essayé en ajustant PKG_CONFIG_PATH.

J'ai totalement supprimé ces paquets afin de les réinstaller 1 par 1 mais le
resultat est le même.

La lecture du fichier de log pour chacun des paquets concernés ne m'a guère
éclairé.

J'ai même essayé sans le paquet emul-linux-x86-sdl en me disant qu'un
conflit de version pouvait être à l'origine de ce problème mais sans
succès.

Mes humbles connaissances ne me permettent pas de m'en sortir.

Merci de votre aide et autres conseils avisés.

J'avais longuement hésité avant de me lancer dans la mise à jour de ce
système, pas assez finalement ;-)

--
@+
Doug - Linux user #307925 - Gentoo rocks ;-)
Faites comme ptilou, destructurez vos textes :
http://doug.letough.free.fr/ptiloutron/
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
doug713705
Le #1896357
Info complémentaire :

Pour preuve que libsdl est correctement installée, les applications
nécessitant lbsdl seule fonctionnent !

Serait-ce donc là un problème de détection de version dans le configure ?

Arf, j'en perd mon latin.

--
[ Plus ou moins avec une chance de peut-être ]
- Pour me contacter, enlever nospam (2X) -
Sébastien Monbrun aka TiChou
Le #1896337
Dans le message *doug713705* tapota sur f.c.o.l.configuration :

Serait-ce donc là un problème de détection de version dans le configure ?


Probablement et il faudrait alors regarder ce qu'indique le fichier de
journalisation config.log dans le répertoire
/var/tmp/portage/le_paquet_en_question/work/le_paquet_en_question/

--
Sébastien Monbrun aka TiChou

doug713705
Le #1896330
Le mardi 14 août 2007 12:15, Sébastien Monbrun aka TiChou s'est exprimé de
la sorte sur fr.comp.os.linux.configuration :

Dans le message *doug713705* tapota sur f.c.o.l.configuration :

Serait-ce donc là un problème de détection de version dans le configure ?


Probablement et il faudrait alors regarder ce qu'indique le fichier de
journalisation config.log dans le répertoire
/var/tmp/portage/le_paquet_en_question/work/le_paquet_en_question/



Ah ah... Bien vu !

configure:20305: checking for SDL - version >= 1.2.4
configure:20397: x86_64-pc-linux-gnu-gcc -o
conftest -march=nocona -O2 -pipe -I/usr/include/freetype2 -I/$
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.1/../../../../x86_64-pc-linux-gnu/bin/ld:
warning: libgg.so.0, neede$
configure:20400: $? = 0
configure:20402: ./conftest
./conftest: error while loading shared libraries: libgg.so.0: cannot open
shared object file: No such fil$
configure:20405: $? = 127
configure: program exited with status 127
configure: failed program was:

Apparemment un problème avec libggi, un lien manquant entre libgg.so.1.0.0
et libgg.so.0

J'avais lu quelque chose à propose de lib-sdl et libggi et avait forcé la
réinstallation de cette dernière sans succès (et pour cause).

J'avais déjà eu la même chose sur une autre librairie ('me souviens plus
laquelle pour le coup)

Vaut ce le coup pour un bug report ?

Merci beaucoup de ton aide.
--
[ Plus ou moins avec une chance de peut-être ]
- Pour me contacter, enlever nospam (2X) -


Sébastien Monbrun aka TiChou
Le #1896327
Dans le message *doug713705* tapota sur f.c.o.l.configuration :

Vaut ce le coup pour un bug report ?


Je pense que oui. :)

--
Sébastien Monbrun aka TiChou

Doug713705
Le #1896325
Le mardi 14 août 2007 14:19, Sébastien Monbrun aka TiChou s'est exprimé de
la sorte sur fr.comp.os.linux.configuration :

Dans le message *doug713705* tapota sur f.c.o.l.configuration :

Vaut ce le coup pour un bug report ?


Je pense que oui. :)



C'est fait.
Mon premier bug report, quelle émotion ;-)

--
@+
Doug - Linux user #307925 - Gentoo rocks ;-)
Faites comme ptilou, destructurez vos textes :
http://doug.letough.free.fr/ptiloutron/


Nicolas S.
Le #1896320

C'est fait.
Mon premier bug report, quelle émotion ;-)


Pense à le suivre. Les développeurs peuvent te demander plus d'infos.

--
Nicolas S.

Doug713705
Le #1896312
Le mardi 14 août 2007 19:25, Nicolas S. s'est exprimé de la sorte sur
fr.comp.os.linux.configuration :

Pense à le suivre. Les développeurs peuvent te demander plus d'infos.


Ben pour le coup, il parait que s'en est pas un (de bug) et qu'un
revdep-rebuild aurait réglé l'affaire.

J'avais essayé pour tant mais la mise à jour du système n'étant pas
complète, le revdep-rebuild me proposait une liste interminable de paquets
à revoir voir à mettre à jour puisque les versions des paquets sur ma
machine ne correspondaient plus à celles de portage fraichement mis à
jour !

Bref, la tronçonneuse m'avait semblé trop incontrolable pour que je m'amuse
avec ;-)

'm'en suit sorti par la petite porte avec mon lien symbolique.

Pour le moment ça compile sévère, je mettrais un coup de revdep-rebuild à la
fin, pour le polish ;-)

--
@+
Doug - Linux user #307925 - Gentoo rocks ;-)
Faites comme ptilou, destructurez vos textes :
http://doug.letough.free.fr/ptiloutron/

Publicité
Poster une réponse
Anonyme